*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    /* border: 1px solid black; */
}
header {
    position: relative;
    background-color: #0D0D0D;
    color: #F2F2F2;
    font-family: Arial, Helvetica, sans-serif;
    padding: 5px;

    display: flex;
    /* justify-content: start; */
}
h1{
    min-width: 320px;
    margin-right: 30px;
}
ul{
    display: flex;
    height: 100%;
}
li{
    list-style: none;
}
a{
    color: #e9e9e9;
    font-weight: bold;
    text-decoration: none;
    padding: 10px;
    display: inline-block;
    width: 100%;
    height: 100%;
}
a:hover{
    background-color: #505050;
}
#usuario{
    position: absolute;
    right: 30px;
    top: 30%;   
    /* margin: auto; */
}

@media screen and (max-width: 500px) {
    h1 {
        text-align: center;
        margin-right: 0; /* Elimina el margen derecho en pantallas pequeñas */
        font-size: 1.5em; /* Ajusta el tamaño del texto según sea necesario */
    }

    ul {
        flex-direction: column; /* Apila los elementos verticalmente */
        align-items: center; /* Centra los elementos en el eje transversal */
    }
    li {
        text-align: center; /* Centra el texto en pantallas pequeñas */
    }

    #usuario {
        position: relative; /* Cambia la posición a relativa para que siga el flujo normal del documento */
        margin-top: 10px; /* Ajusta el margen superior según sea necesario */
        top: auto; /* Reinicia la propiedad top */
    }
}